@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

body {
    box-sizing: border-box;
    padding: 0 15px;
    width: 100%;
    font-family:'Orbitron', Courier, monospace;
    color: #020204;
    overflow-x: hidden;
}

h1 {
    color: #204829;
    font-family:'Audiowide', Courier, monospace;
}

.camView {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}


video {
    position: relative;
    z-index: 0;
    border: 5px solid #020204;
}

.highlighter {
    position: absolute;
    background: #92e5a13e;
    border: 2px solid #020204;
    min-width: 30px;
    min-height: 30px;
    z-index: 2;
}

#liveView {
    position: relative;
    display: flex;
    color: white;
    padding: 3px;
    font-size: 12px;
    margin: 0 auto;
    align-items: center;
}

#liveView p {
    position: absolute;
    background: #020204;
    color: #80ce87;
    padding: 3px 5px;
    font-size: 12px;
    z-index: 3;
}


button {
    display: flex;
    background-color: #020204;
    color: #22b455;
    border: none;
    margin: 0 auto 20px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-family:'Audiowide', Courier, monospace;

    &:hover {
        background-color: #204829;
        color: #80ce87;
    }
}

section {
    opacity: 1;
    transition: opacity 500ms ease-in-out;
}

header, footer {
    clear: both;
}

.removed {
    display: none;
}

.invisible {
    opacity: 0.2;
}

.note {
    font-style: italic;
    font-size: 130%;
}

.videoView, .classifyOnClick {
    position: relative;
    float: left;
    width: 48%;
    margin: 2% 1%;
    cursor: pointer;
}

.classifyOnClick {
    z-index: 0;
}

.classifyOnClick img {
    width: 100%;
}

#detected-objects {
    padding: 20px;
    margin: 0 auto;
    border: 1px solid black;
    max-width: 610px;
    opacity: 0;
    transition: opacity .5s ease-in-out;

    &.visible {
        opacity: 1;
    }

    h3 {
        color: #22b455;
        font-family:'Audiowide', Courier, monospace;
        ;
    }

    ol {
        margin: 0;
        padding: 0;
    }

    li {
        margin-left: 15px;

        &::marker {
            color: #22b455;
            font-family:'Audiowide', Courier, monospace;
        }
    }
}